Summary: Audio effects processing rack for guitar
Name:    rakarrack
Version: 0.2.0
Release: 5%{?dist}
License: GPLv2
Group:   Applications/Multimedia
URL:     http://%{name}.sourceforge.net/
Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

Requires: hicolor-icon-theme

BuildRequires: jack-audio-connection-kit-devel alsa-lib-devel alsa-utils
BuildRequires: fltk-devel
BuildRequires: libXpm-devel libpng-devel libjpeg-devel
BuildRequires: desktop-file-utils

%description
Rakarrack is a basic rack of effects for guitar. 10 effects. Two EQ
(multiband and parametric), distortion, overdrive, echo, chorus,
flanger, phaser, compression and reverb. Real time processing. JACK
support. Online tuner. Bank & Preset management.

Most of the effects are based on the magnificent work done by Paul
Nasca Octavian in ZynAddSubFX synthesizer. The compressor is based on
ArtsCompressor of Matthias Kretzer & Stefen Westerfeld. The tuner was
adapted from tuneit, a tuner in text mode created by Mario Lang. Paul
Nasca is our hero and a continuous inspiration


%prep
%setup -q

%{__sed} -i 's|HELPDIR="$prefix/share/doc/${PACKAGE}"|HELPDIR="$prefix/share/doc/${PACKAGE}-%{version}"|' configure.in
%configure --docdir=%{_docdir}/%{name}-%{version} \
    --htmldir=%{_docdir}/%{name}-%{version}

%{__sed} -i 's/Icon=icono_rakarrack_128x128/Icon=rakarrack/' data/%{name}.desktop
%{__sed} -i 's/Guitar Effects Processor/Real-time audio effects processing rack for guitar/' data/%{name}.desktop
echo "GenericName=Digital audio effects processor" >> data/%{name}.desktop
echo "Version=1.0" >> data/%{name}.desktop


%build
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}
%{__make} DESTDIR=%{buildroot} install

# move extra install of docs to build directory
# to let rpm install it in the right place
%{__mv} %{buildroot}%{_datadir}/doc/rakarrack/html .
%{__mv} %{buildroot}%{_datadir}/doc/rakarrack/COPYING .
%{__rm} -rf %{buildroot}%{_datadir}/doc/rakarrack

# move icons to the proper freedesktop location
for dim in 32x32 64x64 128x128; do
  %{__mkdir} -p %{buildroot}%{_datadir}/icons/hicolor/$dim/apps
  %{__mv} %{buildroot}%{_datadir}/pixmaps/icono_%{name}_$dim.png \
      %{buildroot}%{_datadir}/icons/hicolor/$dim/apps/%{name}.png
done

# extra desktop file categories are allowed if prepended with X-
BASE="X-Fedora Application AudioVideo"
XTRA="X-Digital_Processing X-Jack"
MIXER="Mixer"

%{__mkdir} -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor "" \
  `for c in ${BASE} ${XTRA} ${MIXER}; do echo "--add-category $c " ; done` \
  --dir %{buildroot}%{_datadir}/applications \
  %{buildroot}%{_datadir}/applications/rakarrack.desktop


%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc AUTHORS README html COPYING
%{_bindir}/%{name}
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_mandir}/man1/%{name}.1*
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop


%changelog
* Thu Oct 16 2008 David Timms <iinet.net.au @ dtimms> - 0.2.0-5
- del debug cruft left in the spec while trying to solve issues

* Tue Oct 14 2008 David Timms <iinet.net.au @ dtimms> - 0.2.0-4
- move non-install commands to setup
- fix configure .ini so that standard help path will be used

* Sun Oct 12 2008 David Timms <iinet.net.au @ dtimms> - 0.2.0-3
- don't exclude the original .desktop file

* Mon Oct 06 2008 David Timms <iinet.net.au @ dtimms> - 0.2.0-2
- mod icon names to be appname.png to fit with fallback desktop spec
- replace rakarrack with name macro
- mod .desktop via sed and cat, rather than additional Source file
- add .desktop extra categories using the desktop-file-install utils
 
* Sun Oct 05 2008 David Timms <iinet.net.au @ dtimms> - 0.2.0-1
- simplify the icon installation by looping through dimensions
- fix missing ; on category line in desktop file
- don't rename the icons since it confuses desktop-file-install
- fix spelling in description
- fix help menu contents not being displayed due to marking help files doc

* Fri Aug 01 2008 David Timms <iinet.net.au @ dtimms> - 0.2.0-0.2
- don't package the included .desktop file to solve getting two menu icons

* Sat Jul 19 2008 David Timms <iinet.net.au @ dtimms> - 0.2.0-0.1
- update to 0.2.0
- mod spec to meet Fedora packaging guidelines

* Fri May 23 2008 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> - 0.1.2-1
- initial build.
